Package org.opensaml.soap.wsaddressing.impl

# Class ProblemActionImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObject
org.opensaml.soap.wsaddressing.impl.ProblemActionImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `ProblemAction`, `WSAddressingObject`

public class ProblemActionImpl extends AbstractWSAddressingObject implements ProblemAction
Implementation of `ProblemAction`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Action`
`action`
Action child element.
`private SoapAction`
`soapAction`
SoapAction child element.
`private final AttributeMap`
`unknownAttributes`
Wildcard attributes.

### Fields inherited from interface org.opensaml.soap.wsaddressing.ProblemAction

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ProblemActionImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Action`
`getAction()`
Get the Action child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`SoapAction`
`getSoapAction()`
Get the SoapAction child element.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`void`
`setAction(Action newAction)`
Set the Action child element.
`void`
`setSoapAction(SoapAction newSoapAction)`
Set the SoapAction child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### action

@Nullable private Action action
Action child element.

### soapAction

@Nullable private SoapAction soapAction
SoapAction child element.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
Wildcard attributes.

## Constructor Details

### ProblemActionImpl

public ProblemActionImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getAction

@Nullable public Action getAction()
Get the Action child element.

Specified by:
  `getAction` in interface `ProblemAction`
Returns:
  the Action child element

### getSoapAction

@Nullable public SoapAction getSoapAction()
Get the SoapAction child element.

Specified by:
  `getSoapAction` in interface `ProblemAction`
Returns:
  the SoapAction child element

### setAction

public void setAction(@Nullable Action newAction)
Set the Action child element.

Specified by:
  `setAction` in interface `ProblemAction`
Parameters:
  `newAction` - the new Action child element

### setSoapAction

public void setSoapAction(@Nullable SoapAction newSoapAction)
Set the SoapAction child element.

Specified by:
  `setSoapAction` in interface `ProblemAction`
Parameters:
  `newSoapAction` - the new SoapAction child element

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `AbstractWSAddressingObject`
Returns:
  ordered list of child elements